OTPme - Feature #33

implement module to be used with freeradius rim_python
25 January 2015 19:18 - The 2nd

Status: Erledigt Start date: 25 January 2015
Priority: Normal Due date:

Assignee: The 2nd % Done: 100%
Category: Estimated time: 0:00 hour
Target version: OTPme 0.2

Description

using a python module should perform better than calling otpme as a script via "exec" modul.

there are examples available:
https://github.com/FreeRADIUS/freeradius-server/blob/master/src/modules/rim_python/example.py
https://github.com/FreeRADIUS/freeradius-server/blob/master/src/modules/rim_python/prepaid.py

History

#1 - 25 January 2015 20:38 - The 2nd

this is now implemented for clear-text requests. ntlm/mschap request handling will follow until i got an answer from the freeradius mailinglist how to
configure freeradius to send them to rlm_python.

#2 - 25 January 2015 20:54 - The 2nd
- % Done changed from 0 to 50

#3 - 28 January 2015 18:51 - The 2nd
- % Done changed from 50 to 100

#4 - 28 January 2015 18:52 - The 2nd
- Status changed from Neu to Erledigt

#5 - 28 January 2015 20:45 - The 2nd
- Status changed from Erledigt to In Bearbeitung

#6 - 28 January 2015 20:59 - The 2nd
- % Done changed from 100 to 50

#7 - 30 January 2015 20:04 - The 2nd
- Status changed from In Bearbeitung to Erledigt
- % Done changed from 50 to 100
